# Generated by Django 3.2.9 on 2021-11-04 12:17

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_by', models.CharField(max_length=255)),
                ('updated_by', models.CharField(max_length=255)),
                ('deleted_at', models.DateTimeField(null=True)),
                ('deleted_by', models.CharField(default='None', max_length=255)),
                ('is_deleted', models.BooleanField(default=False)),
                ('is_blocked', models.BooleanField(default=False)),
                ('email', models.EmailField(max_length=128, unique=True)),
                ('fullname', models.CharField(max_length=68)),
                ('username', models.CharField(error_messages={'unique': 'A user with that username already exists.'}, help_text='Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.', max_length=150, unique=True, verbose_name='username')),
                ('phone', models.CharField(blank=True, default='<django.db.models.query_utils.DeferredAttribute object at 0x7fbcfcb07820>', max_length=17, null=True)),
                ('image', models.ImageField(blank=True, default='', null=True, upload_to='store_user_image', verbose_name='image')),
                ('birth_date', models.DateField()),
                ('wallet_id', models.CharField(blank=True, max_length=68, null=True)),
                ('referrer_code', models.CharField(blank=True, max_length=68, null=True)),
                ('invite_code', models.CharField(blank=True, max_length=68, null=True)),
                ('push_token', models.CharField(blank=True, max_length=128, null=True)),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('updated_date', models.DateTimeField(auto_now=True)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ('deleted_at',),
                'abstract': False,
            },
        ),
    ]
